Skip to main content
PUT
Replace a recurring report configuration

Authorizations

x-coderabbitai-api-key
string
header
required

API key for authentication. You can create an API key from the CodeRabbit dashboard.

Path Parameters

report_id
integer
required
Required range: 0 < x <= 9007199254740991

Body

application/json
name
string
required
time
string
required
timezone
string
required
parameters
object[]
required
emails
string<email>[]
required
promptTemplate
enum<string>
required
Available options:
Daily Standup Report,
Sprint Report,
Release Notes,
Organization Stats,
Custom
type
required
Available options:
WEEKLY
days
required
Required range: 0 <= x <= 6
org_id
string
Minimum string length: 1
group
enum<string>
Available options:
NONE,
REPOSITORY,
LABEL,
TEAM,
USER,
SOURCEBRANCH,
TARGETBRANCH,
STATE
subgroup
enum<string>
Available options:
NONE,
REPOSITORY,
LABEL,
TEAM,
USER,
SOURCEBRANCH,
TARGETBRANCH,
STATE
platform
enum<string>
Available options:
SLACK,
DISCORD,
EMAIL,
TEAMS
channel
string
prompt
string
frequency
enum<string>
Available options:
1,
2,
3,
4

Response

OK

report_id
string
required